# Class DocumentCSSImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.dom.DocumentCSSImpl

All Implemented Interfaces:
  `ExtendedDocumentCSS, DocumentCSS, DocumentStyle`

public class DocumentCSSImpl extends Object implements ExtendedDocumentCSS
w3c `DocumentCSS` implementation.

## Nested Class Summary

### Nested classes/interfaces inherited from interface ExtendedDocumentCSS

`ExtendedDocumentCSS.StyleSheetChangeListener`

## Constructor Summary

Constructors
Constructor
Description
`DocumentCSSImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addStyleSheet(StyleSheet styleSheet)`
`void`
`addStyleSheetChangeListener(ExtendedDocumentCSS.StyleSheetChangeListener listener)`
`CSSStyleDeclaration`
`getOverrideStyle(Element element, String s)`
`StyleSheetList`
`getStyleSheets()`
`void`
`removeAllStyleSheets()`
`void`
`removeStyleSheetChangeListener(ExtendedDocumentCSS.StyleSheetChangeListener listener)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DocumentCSSImpl

public DocumentCSSImpl()

## Method Details

### getStyleSheets

public StyleSheetList getStyleSheets()

Specified by:
  `getStyleSheets` in interface `DocumentStyle`

### getOverrideStyle

public CSSStyleDeclaration getOverrideStyle(Element element, String s)

Specified by:
  `getOverrideStyle` in interface `DocumentCSS`

### addStyleSheet

public void addStyleSheet(StyleSheet styleSheet)

Specified by:
  `addStyleSheet` in interface `ExtendedDocumentCSS`

### removeAllStyleSheets

public void removeAllStyleSheets()

Specified by:
  `removeAllStyleSheets` in interface `ExtendedDocumentCSS`

### addStyleSheetChangeListener

public void addStyleSheetChangeListener(ExtendedDocumentCSS.StyleSheetChangeListener listener)

Specified by:
  `addStyleSheetChangeListener` in interface `ExtendedDocumentCSS`

### removeStyleSheetChangeListener

public void removeStyleSheetChangeListener(ExtendedDocumentCSS.StyleSheetChangeListener listener)

Specified by:
  `removeStyleSheetChangeListener` in interface `ExtendedDocumentCSS`